Subject: New Reply Received - You are the worst company ever, I buy some items from you then the delivery team lying and said he w...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 2021 15:55:08 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  You are the worst company ever, I buy some items from you then the delivery team lying and said he w...  Ticket comment <div>I already requested to cancel the order and I was chat with some one and she said okay then my husband was chatting with other one and she said we can’t cancel the order</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2509649